hostname (3.25+deepin1+rb1) unstable; urgency=medium

  * Removed old rule that moved file from /usr/bin to /bin. (Closes: #1056978)

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Oct 2024 08:12:34 +0200

hostname (3.24) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/control: Add VCS URLs (Closes: #1050091)
  * Makefile: Adopt GNU/debhelper conventions
  * d/rules: Simplify using debhelper 13 (Closes: #1050093)
  * d/rules: Extract program version using sed
  * d/control: Update standards version to 4.6.2, no changes needed
  * d/control: Specify Rules-Requires-Root: no

  [ binlingyu ]
  * Fix memory leak

  [ lingyu bin ]
  * Update .gitlab-ci.yml file

  [ Michael Meskes ]
  * Fixed VCS information
  * Enable build with ubuntu suffixes.
    Thanks to Matthias Klose <doko@ubuntu.com> (Closes: #995889)
  * Update standards version to 4.7.0, no changes needed
  * Release 3.24

 -- Michael Meskes <meskes@debian.org>  Wed, 09 Oct 2024 15:57:37 +0200

hostname (3.23+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert d/copyright to machine-readable format. (Closes: #1013131)
  * Upgrade to 3.0 source format. (Closes: #1007059)

 -- Bastian Germann <bage@debian.org>  Mon, 19 Dec 2022 14:33:11 +0100

hostname (3.23) unstable; urgency=medium

  * Increase buffer size for all FQDNs to NI_MAXHOST as suggested by manpage.
    (Closes: #942311)
  * Use the same size for getdomainname().
  * Bumped Standards-Version, no changes needed.
  * Removed debian/compat file as suggested by lintian.

 -- Michael Meskes <meskes@debian.org>  Thu, 07 Nov 2019 12:31:36 +0100

hostname (3.22) unstable; urgency=medium

  * Made build process robust against binNMUs. (Closes: #935277)
  * Bumped Standards-Version, no changes needed.
  * Bumped debhelper version, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sat, 24 Aug 2019 19:05:40 +0200

hostname (3.21) unstable; urgency=medium

  * Minor fixes to the manpage.
    Thanks to Bjarni Ingi Gislason <bjarniig@rhi.hi.is> (Closes: #900857)
  * Bumped Standards-Version, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 27 Sep 2018 10:45:17 +0200

hostname (3.20) unstable; urgency=medium

  * Removed old alioth list from maintainers field.

 -- Michael Meskes <meskes@debian.org>  Wed, 31 Jan 2018 13:08:15 +0100

hostname (3.19) unstable; urgency=medium

  * Bumped Standards-Version to 4.1.3, no changes needed.
  * Switched to debhelper 11
  * Fix lintian warnings.

 -- Michael Meskes <meskes@debian.org>  Tue, 30 Jan 2018 11:34:44 +0100

hostname (3.18) unstable; urgency=medium

  * Make sure memory is initialized to zero before attempting to read hostname.
    Thanks to Marko Dimjašević <marko@cs.utah.edu> (Closes: #829010)
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Updated to debhelper 9.

 -- Michael Meskes <meskes@debian.org>  Sun, 03 Jul 2016 21:26:17 +0200

hostname (3.17) unstable; urgency=medium

  * Applied patch by Szabolcs Nagy <nsz@port70.net> (Ccloses: #787780) to:
    * Use _GNU_SOURCE feature test macro, instead of glibc internal __USE_GNU.
    * Use getdomainname instead of yp_get_default_domain because it is more
      widely available and avoids the -lnsl dependency.
    * localnisdomain is kept, even though it should be the same as localdomain,
      so the behaviour is not changed in case of an error.
  * Replace 'dh-clean -k' with 'dh-prep'

 -- Michael Meskes <meskes@debian.org>  Fri, 19 Feb 2016 13:00:23 +0100

hostname (3.16) unstable; urgency=medium

  * Changed buffer size to the recommended 255 character when working with
    names instead of IPs. (Closes: #796922)
  * Bumped Standards-Version to 3.9.6, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 01 Sep 2015 12:32:18 +0200

hostname (3.15) unstable; urgency=low

  * Applied patch to make it possible to install binaries and man pages into
    custom directories.
    Thanks to Jiri Popelka <jpopelka@redhat.com> (Closes: #726484)
  * Tried to clarify manpage. (Closes: #718393)
  * Removed hostname.1.fr with was outdated and not kept in sync.

 -- Michael Meskes <meskes@debian.org>  Sun, 03 Nov 2013 15:27:04 +0100

hostname (3.14) unstable; urgency=low

  * Symlink binaries instead of hardlinking them. (Closes: #718400)

 -- Michael Meskes <meskes@debian.org>  Fri, 06 Sep 2013 12:06:19 +0200

hostname (3.13) unstable; urgency=low

  * Finally completely remove verbose option.
    Thanks to Jiri Popelka <jpopelka@redhat.com> (Closes: #703974)
  * Bumped Standards-Version to 3.9.4, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Tue, 18 Jun 2013 11:51:37 +0200

hostname (3.12) unstable; urgency=low

  * Rewrote parts of the manpage.
    Thanks to Ben Wong <bugs.debian.org@wongs.net> (Closes: #568889)
  * Bumped Standards-Version to 3.9.3, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 06 Dec 2012 16:15:53 +0100

hostname (3.11) unstable; urgency=low

  * Fixed typo in manpage.
    Thanks to Regid Ichira <regid23@yahoo.com> (Closes: #659836)
  * Order options alphabetically in program.
    Thanks to Jari Aalto <jari.aalto@cante.net> (Closes: #660106)
  * Combine options in manpage.
  * Do not install hostname.1.fr anymore because it is outdated.

 -- Michael Meskes <meskes@debian.org>  Thu, 16 Feb 2012 16:02:01 +0100

hostname (3.10) unstable; urgency=low

  * Enabled hardened build flag.
    Thanks to Moritz Muehlenhoff <jmm@debian.org> (Closes: #655874)

 -- Michael Meskes <meskes@debian.org>  Sun, 15 Jan 2012 13:52:38 +0100

hostname (3.09) unstable; urgency=low

  * Order items alphabetically in manpage.
    Thanks to Jari Aalto <jari.aalto@cante.net> (Closes: #653269)

 -- Michael Meskes <meskes@debian.org>  Wed, 28 Dec 2011 15:14:48 +0100

hostname (3.08) unstable; urgency=low

  * Prevent a potential buffer underrun.
  * Clarified FQDN message in man page. (Closes: #626292)
  * Use Breaks instead of Conflicts.

 -- Michael Meskes <meskes@debian.org>  Fri, 23 Dec 2011 11:07:34 +0100

hostname (3.07) unstable; urgency=low

  * Strip leading and trailing whitespaces from hostname. (Closes: #650822)
  * Bumped Standards-Version to 3.9.2, no changes needed.
  * Added build-arch and build-indep targets to rules file.

 -- Michael Meskes <meskes@debian.org>  Thu, 22 Dec 2011 16:31:05 +0100

hostname (3.06) unstable; urgency=low

  * Relax version comparison to make binnmus possible. (Closes: #616683)

 -- Michael Meskes <meskes@debian.org>  Mon, 07 Mar 2011 12:31:08 +0100

hostname (3.05) unstable; urgency=low

  * Updated hostname.c to carry correct version number. (Closes:
    #602987)
  * Bumped Standards-Version to 3.9.1, no changes needed.
  * Added source/format file.

 -- Michael Meskes <meskes@debian.org>  Tue, 16 Nov 2010 14:31:07 +0100

hostname (3.04) unstable; urgency=low

  * Don't strip domain before resolving it for a fqdn hostname. (Closes:
    #573375)
  * Bumped Standards-Version to 3.8.4, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 22 Mar 2010 11:58:16 +0100

hostname (3.03) unstable; urgency=low

  * Do not use buffer on error return. (Closes: #565634) - thanks to
    Marco d'Itri <md@Linux.IT>

 -- Michael Meskes <meskes@debian.org>  Tue, 19 Jan 2010 09:07:56 +0100

hostname (3.02) unstable; urgency=low

  [ Cristian Greco ]
  * bump version to 3.02 for next release.
  * set my new maintainer email address.

  [ Michael Meskes ]
  * Reject invalid hostnames. (LP #52335)
  * Gratiously accept FQ hostnames. While this should not be done
    hostname should still be able to cope with it and print the short
    name as promised in the manpage (LP#389602). (Closes: #563074)
  * Added option to display all ip addresses and all fqdns. (Closes:
    #562830) - thanks to Gábor Gombás <gombasg@sztaki.hu>

 -- Michael Meskes <meskes@debian.org>  Fri, 15 Jan 2010 13:08:57 +0100

hostname (3.01) unstable; urgency=low

  * Made 'hostname -s' only display the host name cut at the first dot.
    (Closes: #552482)

 -- Michael Meskes <meskes@debian.org>  Tue, 27 Oct 2009 13:25:38 +0100

hostname (3.00) unstable; urgency=low

  * Bumped versioned conflict against nis. (Closes: #546753)
  * End beta phase and bump major version to 3.

 -- Michael Meskes <meskes@debian.org>  Thu, 01 Oct 2009 14:07:26 +0200

hostname (2.99) unstable; urgency=low

  [ Cristian Greco ]
  * attempt to clarify program documentation in usage() and manpage.
  * bump version to 2.99
  * Add versioned Replaces/Conflicts against nis (<< 3.17-29), which
    drops the {yp,nis,} commands.

 -- Michael Meskes <meskes@debian.org>  Mon, 28 Sep 2009 15:31:05 +0200

hostname (2.98) unstable; urgency=low

  [ Cristian Greco ]
  * Fix some indentation.
  * bump version to 2.98.
  * attempt to clarify program documentation in usage() and manpage.

  [ Michael Meskes ]
  * Made program behave exactly like yp-tools domainname when called as
    {nis,yp,}domainname.
  * We replace nis by installing {yp,nis,}domainname, closes: #546753

 -- Michael Meskes <meskes@debian.org>  Wed, 16 Sep 2009 19:47:31 +0200

hostname (2.97) unstable; urgency=low

  * New maintainer, closes: #543892
  * Bumped Standards-Version to 3.8.3, no changes needed.
  * Do not print trailing blank for option "-a", closes: #390527
  * Refer to correct init file, closes: #540774
  * Applied patch by Scott James Remnant <scott@ubuntu.com> to take care of an
    empty or non existant /etc/hostname, closes: #543666
  * Made package description and manpage clearer, closes: #483221
  * Added patch by Michael Stapelberg <michael+db20090501@stapelberg.de> to
    better cope with IPv6, closes: #535467
  * Added nisdomainname/ypdomainname, closes: #501005
  * Strip domain name returned by gethostname(), closes: #420053

 -- Michael Meskes <meskes@debian.org>  Sun, 13 Sep 2009 14:34:13 +0200

hostname (2.96) unstable; urgency=low

  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:01:51 +0200

hostname (2.95) unstable; urgency=low

  * Bumping to new policy.
  * Fixing makefile to also install hostname.1.fr
  * Don't hide make errors in clean target of rules.
  * Adding ${misc:Depends} to pre-depends.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Dec 2007 12:39:00 +0100

hostname (2.94) unstable; urgency=low

  * Correcting manpage about --file (Closes: #252182).
  * Explicitly saying in the manpage, that /etc/hostname should not contain the
    FQDN (Closes: #253956).
  * Using symlink for dnsdomainname (Closes: #382728).
  * Syncing version number in code (Closes: #396596).
  * Applied patch from Neil Williams <codehelp@debian.org> to add cross build
    support (Closes: #451305).

 -- Daniel Baumann <daniel@debian.org>  Wed, 14 Nov 2007 23:05:00 +0100

hostname (2.93) unstable; urgency=low

  * New maintainer (Closes: #400078).
  * Updated debian/* to my own packaging style :)
  * Bumped policy version.

 -- Daniel Baumann <daniel@debian.org>  Thu, 23 Nov 2006 20:50:00 +0100

hostname (2.92) unstable; urgency=low

  * Use syntax in RFC1123 and RFC952 to check hostnames. Thanks to LaMont
    for the patch. (closes: #341763)

 -- Graham Wilson <graham@debian.org>  Sat, 25 Feb 2006 02:51:17 +0000

hostname (2.91) unstable; urgency=low

  * Break in read_file instead of returning, so that the file can be closed
    properly.

  * Oops.
  * Properly read files that don't end in a newline. (closes: #325324)

 -- Graham Wilson <graham@debian.org>  Mon, 29 Aug 2005 14:59:17 +0000

hostname (2.90) unstable; urgency=low

  * Rewrite hostname to hopefully be a bit more organzied.
    - moved localhost() and localdomain() to hostname.c
    - code to set the host or domain name moved to set_name()
    - code to display the host or domain name moved to show_name()
    - clean up main()
    - i18n support removed, seems to be unused and outdated
    - verbose output removed
    - check for non-used arguments (closes: #253957)
    - remove the useless man directory from the source
    - remove unneeded header files
    - simplify the build system

  * Set the debhelper compat level to 4.
  * Build depend on debhelper (>= 4.0).
  * Improve the copyright file. (closes: #290178)
  * Update standards version. No changes.
  * Adjust the synopsis to be in line with the Developer's Reference.

  * A check_name function was added to check whether hostnames follow RFC
    1035 syntax.

  * Use inet_ntop instead of inet_ntoa when printing addresses, in order to
    support IPv6 addresses. (closes: #303579)

 -- Graham Wilson <graham@debian.org>  Tue, 23 Aug 2005 06:37:42 +0000

hostname (2.13) unstable; urgency=low

  * Update the version on clean. (closes: #223978)

 -- Graham Wilson <graham@debian.org>  Wed, 17 Dec 2003 15:25:51 +0000

hostname (2.12) unstable; urgency=medium

  * Revert the change in 2.11. (closes: #223521)
    - This technically re-opens #188924 and #208895, but I'll let
      somebody else see to that.
    - I think calling gethostbyname is the correct behavior, since the
      FQDN is supposed to be listed in the hosts(5) file, in which case
      gethostbyname shouldn't touch the network. So basically, I think
      the two aforementioned bugs are configuration errors.

 -- Graham Wilson <graham@debian.org>  Sat, 13 Dec 2003 06:28:42 +0000

hostname (2.11) unstable; urgency=medium

  * New maintainer. Thanks Adam.
  * Don't call gethostbyname in every case. (closes: #188924, #208895)
  * Remove extra space from the manual page.

 -- Graham Wilson <graham@debian.org>  Fri, 05 Dec 2003 06:49:23 +0000

hostname (2.10) unstable; urgency=low

  * -V now does exit(0), not exit(-1).  Closes: #180212
  * -V sends to stdout not stderr.  Closes: #164235
  * Recompiled with newer binutils, to support prelinking.  Closes:
    #176356
  * -h now sends to stdout, instead of stderr.

 -- Adam Heath <doogie@debian.org>  Sat,  8 Feb 2003 01:10:07 -0600

hostname (2.09) unstable; urgency=medium

  * Changed Depends to Pre-Depends.  Closes: 102396.

 -- Adam Heath <doogie@debian.org>  Sat,  7 Jul 2001 18:03:56 -0500

hostname (2.08) unstable; urgency=medium

  * Fixed typo in -h help.  Closes: #58795.
  * Fix dnsdomainname when order is 'nis dns hosts'.  Closes: #71721.
  * Change embedded version to 2.08, instead of 2.05. :|
  * Use internal error variable, instead of using global errno.
    Closes: #88279(grave on m68k)
  * Removed preinst, and changed Pre-Depends to Depends.
  * Fixed all -Wall.

 -- Adam Heath <doogie@debian.org>  Mon, 14 May 2001 08:51:27 -0500

hostname (2.07) unstable; urgency=low

  * Added build depends.
  * New maintainer/author, as the old maintainer/author has gone awol,
    and isn't responding to my mails.

 -- Adam Heath <doogie@debian.org>  Sat,  4 Dec 1999 07:40:55 -0600

hostname (2.06) unstable; urgency=low

  * No longer proved hardlinks for domainname, nisdomainname, and
    ypdomainname.  Closes: #48850, #49009, #49067, #49248, #49553, #49954

 -- Adam Heath <doogie@debian.org>  Sat, 13 Nov 1999 17:50:31 -0600

hostname (2.05) unstable; urgency=low

  * NMU
  * Applied patch for hostnames/domainnames of arbitrary length.  Closes:
    #44415
  * Fixed extra space when only one hostname is being printed.  Closes:
    #22735
  * Added hardlinks for binaries domainname, nisdomainname and
    ypdomainname.  Also updated programs internal version.  Closes: #22993
  * Used debhelper instead of debstd now.
  * FHS compliant.

 -- Adam Heath <doogie@debian.org>  Wed, 22 Sep 1999 00:12:31 -0500

hostname (2.04) frozen unstable; urgency=low

  * rebuild with latest debmake version
  * updated standards-version
  * minor manpage fixes

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Mon, 30 Mar 1998 00:00:12 +0200

hostname (2.03) unstable; urgency=low

  * libc6 version

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Sun, 14 Sep 1997 11:36:19 +0200

hostname (2.02) unstable; urgency=low

  * a <space> character now marks the end of the hostname if you set the
    hostname with the --file option.

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Wed, 18 Jun 1997 15:04:49 +0200

hostname (2.01) unstable; urgency=low

  * converted to packaging standard 2.1.2.2
  * minor fixes

 -- Peter Tobias <tobias@et-inf.fho-emden.de>  Thu, 16 Jan 1997 01:00:34 +0100
